# nearby-business-search

Simple Go script to query Google Maps API `Nearby Search API` to gather data for target company research.

Exports this data to an `.xlsx` spreadsheet.

## Setup

```bash
cp .env.example .env
```

There are still some fields that I plan to move to the `.env` for configuring, but the majority of them are
there now.

A Google project API key will be needed.

Be cautious of setting very large `MAX_RESULTS` as Google will eventually charge for this. Keep the number low 
if you are testing.

## Run

```bash
go run .
```

Or build it first.

After you run the program, you will see logs stepping through stages of the progress. A simplified table will 
be printed out to the terminal and the detailed `.xlsx` will be created based on what ever file name you gave 
in the `.env`
